Skip to content
cloudhostDocs
API reference

Traces

Request traces: a waterfall of the function, database, cache and fetch spans of one request.

GET/v1/traces

Recent request traces#

Credential
An API key or a dashboard session
Roles
Any role

Parameters

  • projectstringquery

    a project's name

  • statusstringquery

    200, 404, 2xx, 4xx or 5xx

  • errorstringquery

    1: only traces with an error

  • min_msintegerquery

    slower than

  • pathstringquery

    path prefix

  • fromstring (date-time)query

    time

  • tostring (date-time)query

    time

  • limitintegerquery

    1 to 200

  • beforestringquery

    the previous next_before

Response

200object

  • tracesTraceSummary[]
  • retention_hoursinteger
  • planstring
  • next_beforestring | null

Errors

StatusDescription
400Bad request: bad_param
401unauthorized: missing, invalid, expired or revoked credential
403Not allowed: forbidden
500internal: an unexpected failure

Example

curl "https://api.ibel.ai/v1/traces" \
  -H "Authorization: Bearer $KEY"
GET/v1/traces/{trace_id}

One trace with its spans in waterfall order#

Credential
An API key or a dashboard session
Roles
Any role

Parameters

  • trace_idstringpathrequired

    32 hex characters

Response

200Trace

  • trace_idstring
  • projectobject
  • started_atstring (date-time)
  • duration_msnumber
  • methodstring | null
  • pathstring | null
  • statusinteger | null
  • versioninteger | null
  • errorboolean
  • span_countinteger
  • duration_usinteger
  • spansobject[]
  • span_kindsmap of integer

Errors

StatusDescription
401unauthorized: missing, invalid, expired or revoked credential
403Not allowed: forbidden
404Not found: not_found
500internal: an unexpected failure

Example

curl "https://api.ibel.ai/v1/traces/trace_id" \
  -H "Authorization: Bearer $KEY"